## snack 2.0.7-2

=== debian/changelog ===
snack (2.0.7-2) unstable; urgency=low

  * Remove debmake from dependency list, add debhelper instead (closes:
    Bug#112293) 

  * Rebuild on a `woody' i386 machine: get location of tclConfig.sh right
    (closes: Bug#112340)

  * removed dh_suidregister, as suggested by itself.
  
 -- David A. van Leeuwen <david@tm.tno.nl>  Mon, 24 Sep 2001 13:23:08 +0200

snack (2.0.7-1) unstable testing; urgency=low

  * Complete new dh_make debianization

 -- David A. van Leeuwen <david@tm.tno.nl>  Mon, 20 Aug 2001 16:14:02 +0200

snack (2.0.7-0) unstable testing; urgency=low

  * New upstream version

 -- David A. van Leeuwen <david@tm.tno.nl>  Fri, 15 Jun 2001 14:42:00 +0200

snack (1.7.0-1) unstable; urgency=low

  * New upstream release

 -- David A. van Leeuwen <david@tm.tno.nl>  Fri, 25 Aug 2000 15:09:08 +0200

snack (1.6.5-3) unstable; urgency=low

  * dependency changed from xpm4g to libxpm, solves bug 67945

 -- David A. van Leeuwen <david@tm.tno.nl>  Fri, 25 Aug 2000 15:02:15 +0200

snack (1.6.5-2) unstable; urgency=low

  * New upload; try to deal with -all.deb file generated on mixed architecture     (not so binary-indep after all?)
  * Solution: reverse binary-indep and binary-arch dependency of binary in 
    `rules'; because `debstd' clobbers my -dev_..._all.deb package! 
  
 -- David A. van Leeuwen <david@tm.tno.nl>  Mon,  6 Mar 2000 17:41:44 +0100

snack (1.6.5-1) unstable; urgency=low

  * New upstream version.
  * Moved usr/doc to usr/share/doc.

 -- David A. van Leeuwen <david@tm.tno.nl>  Thu,  2 Mar 2000 09:57:01 +0100

snack (1.6-2) unstable; urgency=low

  * Made binary-indep empty, generate snack and snack-dev both in
    binary-arch (what is the use of binary-indep if it isn't made by
    dpkg-buildpackage?).  Should solve bug #50725. 
  * Do a make distclean, in order to remove config.cache. 
  * Made snack-dev architecture: all. 

 -- David A. van Leeuwen <david@tm.tno.nl>  Mon, 22 Nov 1999 16:30:58 +0100

snack (1.6-1) unstable; urgency=low

  * Initial Release.

 -- David A. van Leeuwen <david@tm.tno.nl>  Thu, 23 Sep 1999 15:24:33 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "david@tm.tno.nl"
add-log-full-name: "David A. van Leeuwen"
End:
