=== debian/control ===
Source: snack
Section: sound
Priority: optional
Maintainer: David A. van Leeuwen <david@tm.tno.nl>
Build-depends: tcl8.2-dev, tk8.2-dev, xlib6g-dev, debhelper
Standards-Version: 3.0.1

Package: libsnack2
Architecture: any
Depends: tcl8.2, tk8.2
Replaces: snack
Section: libs
Description: Sound functionality extension to the Tcl/Tk language
 Snack is an extension to the Tcl/Tk scripting language
 that adds sound functionality. There are commands to play, record,
 edit, and even visualize sound. Snack supports in-memory sound
 objects, file based audio, and streaming audio. It handles
 fileformats such as WAV, AU, AIFF, and MP3.  
 .
 The visualization canvas item types update in real-time and can
 output postscript. The same scripts run on Unix (HP-UX, Linux,
 Solaris, IRIX) and Windows95/98/NT. It is also possible to run
 scripts embedded in web pages through the use of the Tcl plug-in.  A
 sound file viewer/label editor, which is easy to customize, is
 included in the package.
 .
 The old name of this package was `snack'.

Package: libsnack2-dev
Architecture: all
Depends: libsnack2 (= ${Source-Version}), libc6-dev
Replaces: snack-dev
Section: devel
Description: Snack development files
 This package is needed for building transcriber, and contains
 snackConfig.sh, snack.h. 

Package: libsnack2-doc
Architecture: all
Depends: 
Section: doc
Description: Snack documentation
 This package contains the html documentation that comes with libsnack2
