=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1
# DvL Package names
MAIN=libsnack2
DOC=libsnack2-doc
DEV=libsnack2-dev


# shared library versions, option 1
version=2.0.7
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

build: build-stamp
build-stamp:
	dh_testdir
	cd unix; ./configure --enable-gcc --enable-shared --with-tcl=/usr/lib/tcl8.2 --with-tk=/usr/lib/tk8.2 --prefix=/usr --disable-stubs; make
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) -C unix distclean
	dh_clean

install-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) -C unix SNACK_INSTALL_PATH=../debian/tmp/usr/lib install

# Build architecture-dependent files here.
binary-arch: DH_OPTIONS=-p${MAIN}
binary-arch: build install-arch
	dh_testversion 1.1.17
	dh_testdir
	dh_testroot
	dh_installdirs
        #
        # build libsnack${major} package by moving files from libsnack-dev
        #
#	dh_movefiles -plibsnack$(major)             \
#               usr/lib/libsnack.so.$(major)        \
#               usr/lib/libsnack.so.$(version)
#
	dh_installdocs README
	dh_installexamples
	dh_installmenu
	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs changes
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
# 	You may want to make some executables suid here.
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-dev: build 
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_installdocs README
	dh_installchangelogs changes
	install -m 644 unix/snackConfig.sh debian/${DEV}/usr/lib
	install -m 644 generic/*.h debian/${DEV}/usr/include
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-doc: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	install -m 644 doc/* debian/${DOC}/usr/share/doc/${MAIN}/html
	dh_installdocs README
	dh_installchangelogs changes
#	this does _not_ work:
#	dh_installexamples -v demos/*
#	mv debian/${DOC}/usr/share/doc/${DOC}/examples/* debian/${DOC}/usr/share/doc/${MAIN}/examples
	install -m 644 demos/python/* debian/${DOC}/usr/share/doc/${MAIN}/examples/python
	install -m 644 demos/tcl/* debian/${DOC}/usr/share/doc/${MAIN}/examples/tcl
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	this is a binary!---not in -doc
#	rm debian/${DOC}/usr/share/doc/${MAIN}/examples/tcl/freewrap
	chmod +x debian/${DOC}/usr/share/doc/${MAIN}/examples/tcl/*.tcl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb 

binary-indep: build 
	$(MAKE) -f debian/rules DH_OPTIONS="-p${DEV}" binary-dev
	$(MAKE) -f debian/rules DH_OPTIONS="-p${DOC}" binary-doc

# DvL: order is important!
binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install
