## snack 2.2.2-3

=== debian/changelog ===
snack (2.2.2-3) unstable; urgency=low

  * Installed libvorbis0a (testing), hoping that ${shlibs:Depends} 
    figures out the testing-status dependency (libvorbis0 has disappeared 
    since potato).  Installed testing-libc6 for that.  Had to remove
    a whole lot of packages for that.  Whatever.  Anything for
    one bug less.  (closes: #212297)

 -- David A. van Leeuwen <vleeuwen@debian.org>  Wed, 24 Sep 2003 23:52:43 +0200

snack (2.2.2-2) unstable; urgency=low

  * added a million of -a and -i's in debian/rules.  Sorry, but i find the
    mixed architecture dependen/indenpendent rules files not elegant. (closes: #196635)
  * 2.1.6-1 closed a lot of minor issues.  (closes: #144488)
  * Repeated short description in control file in -dev and -doc packages. (closes: #134397)

 -- David A. van Leeuwen <vleeuwen@debian.org>  Mon, 18 Aug 2003 21:03:01 +0200

snack (2.2.2-1) unstable; urgency=low

  * new upstream (closes: #200145) (closes: #183133)
  * remove the freewrap binary from examples/tcl
  * compile the with stubs (closes: #180526)
  * spelling error fileformats -> file formats already fixed in 
    previous releases (closes: #125047)

 -- David A. van Leeuwen <vleeuwen@debian.org>  Sun, 27 Jul 2003 14:16:27 +0200

snack (2.1.6-3) unstable; urgency=low

  * included libogg support. (closes: #181313)
  * updated debian/dirs

 -- David A. van Leeuwen <vleeuwen@debian.org>  Tue,  6 May 2003 23:39:03 +0200

snack (2.1.6-2) unstable; urgency=low
  
  * copy examples in debian/tmp/libsnack2-doc _after_ dh_compress (closes: #191949)

 -- David A. van Leeuwen <vleeuwen@debian.org>  Tue,  6 May 2003 21:52:03 +0200

snack (2.1.6-1) unstable; urgency=low

  * Accepted all changes kindly provided by Teemu Hukkanen, this changelog
    entry is just for finding key in keyring
  
  * Changed email address

 -- David A. van Leeuwen <vleeuwen@debian.org>  Mon,  6 May 2002 11:59:24 +0200

snack (2.1.6-0) unstable; urgency=low

  * New upstream version.
  * Compiled with tcl8.3 and tk8.3.
  * Removed emacs variables from the changelog.
  * Sanitized dependencies.
  * Use debhelper correctly in postinst and prerm scripts.
  * Previous version was a debian native package, fixed.
  * Fixed spelling error in description. (Closes: #125047)
  * Added short description to -doc and -dev packages about snack itself.
    (Closes: #134397)
  * Upgraded Standards-Version to 3.1.0.
  * Corrected path to GPL in debian/copyright.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Thu, 25 Apr 2002 13:50:40 +0300
