=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1
# DvL Package names
MAIN=libsnack2
DOC=libsnack2-doc
DEV=libsnack2-dev


CONFIGOPTS = --enable-gcc \
             --enable-shared \
             --with-tcl=/usr/lib/tcl8.3 \
             --with-tk=/usr/lib/tk8.3 \
             --prefix=/usr \
             --with-ogg-include=/usr/include \
             --with-ogg-lib=/usr/lib
#             --disable-stubs

# shared library versions, option 1
version=2.2.2
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`


build: build-stamp
build-stamp:
	dh_testdir
	cd unix && ./configure $(CONFIGOPTS) 
	make -C unix all libsnackogg.so # libsnacksphere.so
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) -C unix distclean
	cd unix; rm -f libsnackogg.so libsnacksphere.so libsnackstub2.2.a
	dh_clean

install-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) -C unix SNACK_INSTALL_PATH=../debian/tmp/usr/lib install

# Build architecture-dependent files here.
# binary-arch: DH_OPTIONS=-p${MAIN}
binary-arch: build install-arch
	#dh_testversion 1.1.17
	dh_testdir -a
	dh_testroot -a
	dh_installdirs -a
        #
        # build libsnack${major} package by moving files from libsnack-dev
        #
#	dh_movefiles -plibsnack$(major)             \
#               usr/lib/libsnack.so.$(major)        \
#               usr/lib/libsnack.so.$(version)
#
	dh_installdocs -a README
	dh_installexamples -a
	dh_installmenu -a
	dh_installmanpages -a
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs -a changes
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
# 	You may want to make some executables suid here.
	dh_makeshlibs -a
	dh_installdeb -a
#	dh_perl 
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a -p${MAIN}

# binary-dev: DH_OPTIONS=-p${DEV}
binary-dev: build 
	dh_testdir -i
	dh_testroot -i
	dh_clean -k -i
	dh_installdirs -i
	dh_installdocs -i README
	dh_installchangelogs -i changes
	install -m 644 unix/snackConfig.sh debian/${DEV}/usr/lib
	install -m 644 generic/*.h debian/${DEV}/usr/include
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i -p${DEV}

binary-doc: build
	dh_testdir -i
	dh_testroot -i
	dh_clean -k -i
	dh_installdirs -i
	install -m 644 doc/* debian/${DOC}/usr/share/doc/${MAIN}/html
	dh_installdocs -i README
	dh_installchangelogs -i changes
	dh_link -i
	dh_strip -i
	dh_compress -i
#	this does _not_ work:
#	dh_installexamples -v demos/*
#	mv debian/${DOC}/usr/share/doc/${DOC}/examples/* debian/${DOC}/usr/share/doc/${MAIN}/examples
	install -m 644 demos/python/* debian/${DOC}/usr/share/doc/${MAIN}/examples/python
	install -m 644 demos/tcl/* debian/${DOC}/usr/share/doc/${MAIN}/examples/tcl
	-rm debian/${DOC}/usr/share/doc/${MAIN}/examples/tcl/freewrap
	dh_fixperms -i
#	this is a binary!---not in -doc
#	rm debian/${DOC}/usr/share/doc/${MAIN}/examples/tcl/freewrap
	chmod +x debian/${DOC}/usr/share/doc/${MAIN}/examples/tcl/*.tcl
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i -p${DOC}

binary-indep: build 
	$(MAKE) -f debian/rules DH_OPTIONS="-p${DEV}" binary-dev
	$(MAKE) -f debian/rules DH_OPTIONS="-p${DOC}" binary-doc

# DvL: order is important!
binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install
