## snack 2.2.10.20090623-dfsg

=== debian/changelog ===
snack (2.2.10.20090623-dfsg-8) unstable; urgency=medium

  * Pass --build and --host to ./configure to fix cross-building the package,
    thanks to Helmut Grohne (closes: #901328).
  * Bump the standards version to 4.2.0.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 10 Aug 2018 11:55:05 +0300

snack (2.2.10.20090623-dfsg-7) unstable; urgency=medium

  * Add osspd as an explicit dependency of libsnack-oss since for linux it
    is preferable to oss-compat.
  * Put libsnack-oss before libsnack-alsa in the tcl-snack dependencies
    because it works better (ALSA support in Snack is very basic) and it can
    be used with pulseaudio via osspd.
  * Refresh patches.
  * Add Debian-specific CFLAGS to the build and fix a few warinigs and errors
    they reveal.
  * Add VCS salsa headers.
  * Bump the debhelper compatibility level to 11.
  * Bump the standards version to 4.1.4.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 24 Apr 2018 12:12:20 +0300

snack (2.2.10.20090623-dfsg-6) unstable; urgency=medium

  * Added a patch which fixes a few warnings due to missing prototypes and
    variable declarations.
  * Fixed the library loading into Python scripts.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 19 Nov 2015 21:49:33 +0300

snack (2.2.10.20090623-dfsg-5) unstable; urgency=medium

  * Ported Python module and demos to Python 3.
  * In addition to python-tksnack, build also python3-tksnack package for
    Python 3.
  * Do not ship python script in /usr/share/pyshared directory, and put
    them directly into /usr/lib/python*/dist-packages.
  * Bumped standards version to 3.9.6.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 18 Apr 2015 22:16:48 +0300

snack (2.2.10.20090623-dfsg-4) unstable; urgency=low

  * Fixed conflicts in libsnack-oss and libsnack-alsa dependencies which
    prevented the tcl-snack to be installable (closes: #722431).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 12 Sep 2013 11:13:26 +0400

snack (2.2.10.20090623-dfsg-3) unstable; urgency=low

  * Documented license for generic/SnackOgg.c, generic/jkFormant.h,
    generic/jkFormant.c and generic/sigproc2.c in debian/copyright
    (closes: #721507).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 01 Sep 2013 19:18:13 +0400

snack (2.2.10.20090623-dfsg-2) unstable; urgency=low

  * Replaced deprecated dh_pysypport from python-support by dh_python2.
  * Dropped all debian/*.dirs files because they aren't necessary.
  * Added build-arch and build-indep targets to debian/rules (closes: #648302).
  * Dropped tcl-snack-alsa package and split out the backend dependent
    shared libraries into libsnack-oss and libsnack-alsa packages. This
    helps avoiding complex dependencies for packages like tkabber or
    wavesurfer (see bug 567713 for discussion).
  * Swapped libsnack-alsa and libsnack-oss to make ALSA enabled library
    the default one (closes: #567713).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 25 Aug 2013 12:21:48 +0400

snack (2.2.10.20090623-dfsg-1) unstable; urgency=low

  * Acknowledge NMU and include patch by Michael Karcher to fix CVE-2012-6303
    to the main package development.
  * Switched to the 3.0 (quilt) source package format.
  * Renamed the binary packages to tcl-snack, tcl-snack-dev, tcl-snack-doc
    to comply the Debian Tcl/Tk policy.
  * Removed non-free source files jkFormatMP3.c and jkFormatMP3.h, and
    binary without source snack.mcp.sit.hqx. Also, documented the license
    for ffa.c, shape.c, snackDecls.h, snackStubInit.c, snackStubLib.c and
    a few other files in debian/copyright (closes: #688020).
  * Switched to an alternative upstream with reimplemented MP3 support via
    libmpg123. This helps to retain MP3 support while dropping the non-free
    source files jkFormatMP3.c and jkFormatMP3.h which implemented MP3
    support internally. Note that after that one has to run
    [package require snackmpg] to enable MP3.
  * Removed unneeded headers from the tcl-snack-dev binary package.
  * Bumped debhelper compatibility version to 8.
  * Bumped standards version to 3.9.4.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 27 Jul 2013 20:49:27 +0400

snack (2.2.10-dfsg1-12.1) unstable; urgency=low

  * Non-maintainer upload.
  * Include patch by Michael Karcher to fix CVE-2012-6303 (Closes: #695614).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 02 Jan 2013 00:56:47 +0100

snack (2.2.10-dfsg1-12) unstable; urgency=low

  * Fixed FTBFS for non-linux architectures.
  * Added Tk package to suggested packages list because Snack has sound
    visualization support.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 10 Aug 2011 21:46:20 +0400

snack (2.2.10-dfsg1-11) unstable; urgency=low

  * Use linux-any wildcard to express build dependency on libasound2-dev
    (closes: #634299).
  * Bumped standards version to 3.9.2.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 10 Aug 2011 14:00:50 +0400

snack (2.2.10-dfsg1-10) experimental; urgency=low

  * Rebuild snack with Tcl/Tk 8.5.
  * Added a patch which fixes several cases of searching for arguments
    beyond the array of them (closes: #582601).
  * Added ${misc:Depends} substitution variable to debian/control because
    the package is using debhelper to build.
  * Added patch which removes unnecessary libraries from the list libsnack.so
    links to.
  * Bumped standards version to 3.9.0.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 22 Jul 2010 22:23:47 +0400

snack (2.2.10-dfsg1-9) unstable; urgency=low

  * Added patch which makes snack build with glibc 2.10 (closes: #548641).
  * Use quilt for patch management.
  * Bumped standards version to 3.8.3.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 29 Oct 2009 21:58:50 +0300

snack (2.2.10-dfsg1-8) unstable; urgency=low

  * Borrowed patch from Jeremiah at Myah OS which makes libsnack2-alsa working
    with ALSA 1.0.16 (closes: #503398).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 25 Oct 2008 21:33:33 +0400


